package de.tu_dresden.diplom.richter_mirko_mat2628335.common.listener.event;

import de.tu_dresden.diplom.richter_mirko_mat2628335.common.digestAgreement.IFDigestAgreementResponse;

/**
 * 
 */
public class DigestAgreementClosedEvent implements IFDigestAgreementClosedEvent{

   private int phase = UNKNOWN;
   private String contextID = null;
   private IFDigestAgreementResponse response = null;

   public DigestAgreementClosedEvent(String contextID, IFDigestAgreementResponse response) {
      this.contextID = contextID;
      this.response = response;
   }

   public String getContextID() {
      return contextID;
   }

   public IFDigestAgreementResponse getResponse() {
      return response;
   }

   public int getPhase() {
      return phase;
   }

   public void setPhase(int phase) {
      this.phase = phase;
   }

}
